#
# spec file for package plasma5-applet-suse-prime
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           plasma5-applet-suse-prime
Version:        1.1
Release:        3.5
Summary:        Plasma 5 applet for controlling SUSE Prime
License:        Unlicense
Group:          System/GUI/KDE
URL:            https://github.com/Appadeia/plasma5-applet-suse-prime
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  extra-cmake-modules
BuildRequires:  cmake(KF5Plasma)
Requires:       kdialog
Requires:       libqt5-qdbus
Supplements:    (plasma5-workspace and suse-prime)
BuildArch:      noarch

%description
A Plasma 5 applet for controlling SUSE Prime.

%prep
%setup -q

%build
%cmake_kf5 -d build
%cmake_build

%install
%kf5_makeinstall -C build

%files
%license LICENSE
%dir %{_kf5_plasmadir}/plasmoids
%doc README.md
%{_kf5_appstreamdir}/org.kde.plasma.prime.appdata.xml
%{_kf5_plasmadir}/plasmoids/org.kde.plasma.prime/
%{_kf5_servicesdir}/plasma-applet-org.kde.plasma.prime.desktop

%changelog
* Thu Jan  6 2022 Christophe Giboudeaux <christophe@krop.fr>
- Fix installation (again). Upstream changed their mind.
* Sun Jul 18 2021 Christophe Giboudeaux <christophe@krop.fr>
- Fix the %%files section. plasma-framework >= 5.84 doesn't install
  desktop files in %%_kf5_servicesdir anymore.
* Thu Aug 27 2020 Christophe Giboudeaux <christophe@krop.fr>
- Spec cleanup
* Tue May 28 2019 Carson Black <uhhadd@gmail.com>
- Update to version 1.1
- Add missing dependencies
* Sun May 19 2019 Carson Black <uhhadd@gmail.com>
- Initial version 1.0
